## org.eclipse.jetty.annotations
Class DeclareRolesAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.DeclareRolesAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class DeclareRolesAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

DeclaresRolesAnnotationHandler

Field Summary
`protected WebAppContext` `_context`

Constructor Summary
`DeclareRolesAnnotationHandler(WebAppContext context)`

Method Summary
`void` `doHandle(Class clazz)`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### DeclareRolesAnnotationHandler

    public DeclareRolesAnnotationHandler(WebAppContext context)

Parameters:
  `introspectAncestors` -

Method Detail

### doHandle

    public void doHandle(Class clazz)

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`
  See Also:
    `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler.doHandle(java.lang.Class)`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.